/* Override the default template logo with our custom logo * /
.app-logo {
    height: 23px;
    width: 97px;
    background: url('../img/logo.png');
    background-size: 100%;
    background-repeat: no-repeat;
}
.app-logo-inverse {
    height: 23px;
    width: 97px;
    background: url('../img/logo-inverted.png');
    background-size: 100%;
    background-repeat: no-repeat;
}

.app-header__logo .logo-src {
    background: url('../img/logo-allblack.png');
    background-size: 100%;
    background-repeat: no-repeat;
}
.app-header.header-text-light .app-header__logo .logo-src {
    background: url('../img/logo-allwhite.png');
    background-size: 100%;
    background-repeat: no-repeat;
}

*/

:root{
    --red: #303958;
}

.app-login-box .login-title {
    font-size: 3.5rem;
    color: white;
    letter-spacing: .2rem;
    font-variant: small-caps;
}

.nav-item span {
    font-size: .81818rem;
    border-radius: 30px;
    padding: .3rem .75rem;
    color: rgba(255,255,255,.6);

    display: flex;
    align-items: center;
}

.bg-danger {
    background-color: #f2031c !important; /* grm red */
}

.app-header.bg-danger {
    background-color: #f2031c !important; /* grm red */
}

.bg-primary {
    background-color: #303958 !important; /* tpg blue */
}

.app-header.bg-primary {
    background-color: #303958 !important; /* tpg blue */
}

.app-header__logo {
    min-width: 200px;
}
.app-header__logo .logo-src {
    background: url(../img/logo.svg) 50% 50% no-repeat !important;
    background-size: contain !important;
    height: 50px !important;
    width: 100% !important;
}


.app-page-title .page-title-wrapper::before {
    background-color: #303958 !important; /* tpg blue */
}

.custom-background-widget{
    background-image: radial-gradient(circle 248px at center,#7795e4 0,#3f69d8 47%,#3f69d8 100%)!important;
}
/*Delete HTML date arrow behind  jquery datepicker*/
.custom-datepicker::-webkit-calendar-picker-indicator {
    display: none;
}
/*bolder group text jquery datepicker*/
.select2-container--bootstrap4 .select2-results__group {
    font-weight: bold;
}

.select2.select2-container {
    border: 1px solid rgb(206, 212, 218);
    border-radius: 4px;
    font-size: 1rem;
}
.select2 .select2-selection {
    height: auto;
    padding-top: 5px;
    padding-bottom: 5px;
}

legend {
    font-weight: normal !important;
}

span.code, dd.code {
    font-family: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    font-size: 87.5%;
}

.prettyprint-container {
    max-width: calc(100vw - 370px);
}

.card-clickable {
    cursor: pointer;
}

.text-capitalize {
    text-transform: initial !important;
}

.btn-xs {
    font-size: .8rem !important;
}

.accounting {
    text-align: right;
    font-family: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    font-size: 87.5%;
}

.item-concept-remove-button {
    position: absolute;
    float: right;
    clear: none;
    top: 1px;
    right: 2px;
}

.integration-remove-button {
    position: absolute;
    float: right;
    clear: none;
    top: 1px;
    right: 2px;
}

.no-margin {
    margin: 0;
}

.text-bold {
    font-weight: bold;
}

/* Select2 input fixes */
.select2-selection.select2-selection--multiple {
    border: none !important; /* fallback to the theme's own border display */
    padding-top: 1px !important;
    padding-bottom: 0px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin-top: 4px !important;
    margin-bottom: 0 !important;
}

/* DateTimePicker input fixes */
.btn-outline-secondary {
    border-color: rgb(206, 212, 218);
}

/* Select2 input fixes */
.select2-selection__placeholder {
    color: gray;
}

.select2-container--default {
    height: 38px;
}

.select2-container--default .select2-selection--single {
    border: none !important;
    /*height: 38px !important;*/
    background: transparent !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 34px !important;
}

ul.flash-message {
    margin-bottom: 0;
}


/* ENV LABELS */
.environment-label {
    position: fixed;
    top: 5px;
    right: 5px;
    left: 5px;
    /*height: 20px;*/

    z-index: 10000;
}

.environment-label-container {
    width: 100%;
    max-width: 250px;
    margin: 0 auto;

    border-radius: 3px;
    padding: 3px;

    text-align: center;
}

.environment-label.env-prod .environment-label-container {
    background-color: darkblue;
    color: white;
}
.environment-label.env-uat .environment-label-container {
    background-color: darkgreen;
    color: white;
}

.environment-label.env-dev .environment-label-container {
    background-color: red;
    color: white;
}


/*
  ##Device = Most of the Smartphones Mobiles (Portrait)
  ##Screen = B/w 320px to 479px
*/

@media (min-width: 320px) and (max-width: 980px) {
    .app-sidebar {
        overflow-y: scroll;
        height: 100%;
    }

    .scrollbar-sidebar {
        overflow-y: scroll;
        height: 100%;
    }
}

/* =========================== */
/* Success-Page */
.pv-header {
    text-align: center;
    padding: 18px 16px 24px;
}

/* Logo */
.pv-header-logo img {
    max-width: 135px;
    width: 50%;
    margin: 0 auto 12px auto;
    display: block;
}

/* Check Circle */
.pv-header-icon {
    display: flex;
    justify-content: center;
    margin-bottom: 14px;
}

.pv-check-circle {
    width: 60px;
    height: 60px;
    border-radius: 999px;
    background: #9de3a2;
    display: grid;
    place-items: center;
    font-size: 30px;
    font-weight: 600;
    color: #fff;
}

/* Title */
.pv-header-title {
    font-weight: 800;
    font-size: 1.55rem;
    margin: 0 0 6px 0;
    color: #111;
}

/* Subtitle */
.pv-header-subtitle {
    font-size: 1.10rem;
    font-weight: 500;
    margin-bottom: 10px;
    color: #111;
}

/* Description */
.pv-header-desc {
    font-size: 0.95rem;
    font-weight: 400;
    color: #333;
    line-height: 1.38rem;
    max-width: 460px;
    margin: 0 auto;
}


.success-preview {
    background: #f5f6f8;
    border-radius: 16px;
}


.pv-card {
    background: #fff;
    border: 1px solid #e7e9ee;
    border-radius: 16px;
    padding: 18px 20px;
    margin-bottom: 16px;
}

.pv-title {
    color: #2f6bff;
    font-weight: 700;
    font-size: 1.05rem;
    margin-bottom: 10px;
}

.pv-kv-row {
    display: flex;
    justify-content: space-between;
    gap: 12px;
    padding: 12px 0;
    font-size: 14px;
}

.pv-kv-row + .pv-kv-row {
    border-top: 1px solid #eceff4;
}

.pv-kv-key {
    font-weight: 400;
}

.pv-kv-value {
    color: #111;
    font-weight: 800;
    font-size: 16px;
}

.pv-info-box {
    background: #eef3ff;
    border-radius: 16px;
    padding: 16px;
    display: flex;
    gap: 12px;
    align-items: flex-start;
}

.pv-info-icon {
    width: 28px;
    height: 28px;
    border-radius: 50%;
    background: #2f6bff;
    color: #fff;
    font-weight: 800;
    display: grid;
    place-items: center;
    font-size: 0.9rem;
    flex: 0 0 auto;
    margin-top: 2px;
}

.pv-info-section {
    margin-bottom: 10px;
}

.pv-info-section:last-child {
    margin-bottom: 0;
}

.pv-info-title-small {
    font-weight: 700;
    margin-bottom: 4px;
    font-size: 1rem;
}

.pv-info-desc {
    font-weight: 400 !important;
    color: #444;
    font-size: 0.95rem;
    line-height: 1.38rem;
}

.pv-buttons-wrap {
    display: grid;
    gap: 10px;
}

.pv-btn {
    width: 100%;
    border-radius: 14px;
    padding: 14px 16px;
    font-weight: 700;
    font-size: 1rem;
    border: 1px solid transparent;
    text-align: center;
    cursor: default;
}

.pv-btn-contained {
    background: #2f6bff;
    color: #fff;
}

.pv-btn-outlined {
    background: #fff;
    color: #2f6bff;
    border-color: #2f6bff;
}

/* BULLETS */
.pv-bullet-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 8px;
    margin-left: 4px;
}

.pv-bullet-item {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 1rem;
    padding-left: 4px;
    color: #111;
}

.pv-bullet-icon {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #4caf50;   /* verde */
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 0.8rem;
    flex-shrink: 0;
}